<?php
/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

declare(strict_types=1);

if (!defined('_PS_VERSION_')) {
    exit;
}

class ExpertSenderCustomer extends ObjectModel
{
    /**
     * @var int Object id
     */
    public $id_customer;

    /**
     * @var bool Object sync flag
     */
    public $synced;

    /**
     * @var string Object creation date
     */
    public $date_add;

    /**
     * @var string Object last modification date
     */
    public $date_sync;

    public static $definition = [
        'table' => 'expertsender_customer',
        'primary' => 'id_customer',
        'fields' => [
            'id_customer' => ['type' => self::TYPE_INT, 'validate' => 'isUnsignedInt', 'required' => true, 'db_type' => 'INT(11) UNSIGNED'],
            'synced' => ['type' => self::TYPE_BOOL, 'validate' => 'isBool', 'db_type' => 'TINYINT(1)'],
            'date_add' => ['type' => self::TYPE_DATE, 'validate' => 'isDateFormat', 'copy_post' => false],
            'date_sync' => ['type' => self::TYPE_DATE, 'validate' => 'isDateFormat', 'copy_post' => false],
        ],
    ];
}
