<?php
/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

declare(strict_types=1);

if (!defined('_PS_VERSION_')) {
    exit;
}

class ExpertSenderOrderStateMapping extends ObjectModel
{
    /**
     * @var int Object id
     */
    public $id_order_state_mapping;

    /**
     * @var int|null Prestashop mapping field id
     */
    public $id_field;

    /**
     * @var int|null API mapping field id
     */
    public $id_expertsender_field;

    /**
     * @var string API mapping field name
     */
    public $expertsender_field_name;

    /**
     * @var string|null Object mapping json
     */
    public $fields_mapping;

    /**
     * @var bool Object active flag
     */
    public $active;

    /**
     * @var string Object name
     */
    public $mapping_name;

    public static $definition = [
        'table' => 'expertsender_order_state_mapping',
        'primary' => 'id_order_state_mapping',
        'fields' => [
            'id_field' => ['type' => self::TYPE_INT, 'allow_null' => true, 'validate' => 'isUnsignedId'],
            'id_expertsender_field' => ['type' => self::TYPE_INT, 'allow_null' => true, 'validate' => 'isUnsignedId'],
            'expertsender_field_name' => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 255],
            'fields_mapping' => ['type' => self::TYPE_DATE, 'allow_null' => true, 'validate' => 'isString'],
            'active' => ['type' => self::TYPE_BOOL, 'validate' => 'isBool', 'db_type' => 'TINYINT(1)'],
            'mapping_name' => ['type' => self::TYPE_STRING, 'validate' => 'isGenericName', 'size' => 64],
        ],
    ];
}
