<?php
/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

declare(strict_types=1);

namespace JustIdea\ExpertSender\Core\Shared\Mappings\OrderState;

use JustIdea\ExpertSender\Core\Shared\Mappings\AbstractAttributeFactory;
use JustIdea\ExpertSender\Core\Shared\Mappings\AttributeInterface;
use JustIdea\ExpertSender\Core\Shared\Mappings\OrderState\OrderStateAttribute\OrderStateAttribute;
use JustIdea\ExpertSender\Infrastructure\Enum\OrderStates;

if (!defined('_PS_VERSION_')) {
    exit;
}

class OrderStateFactory extends AbstractAttributeFactory implements OrderStateFactoryInterface
{
    protected function getAttributeDefinitionArray(): array
    {
        return [
            OrderStates::PS_STATES => [
                'id' => OrderStates::PS_STATES,
                'name' => 'Order states',
                'methodName' => 'orderState',
            ],
        ];
    }

    /**
     * @return AttributeInterface
     */
    public function getOrderStateAttribute(): AttributeInterface
    {
        return new OrderStateAttribute($this->module, $this->translator);
    }
}
