<?php
/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

declare(strict_types=1);

namespace JustIdea\ExpertSender\Infrastructure\Database\Install\Command;

if (!defined('_PS_VERSION_')) {
    exit;
}

class ExpertSenderOrdersTableInstallCommand implements InstallCommandInterface
{
    public function getName(): string
    {
        return \ExpertSenderOrder::$definition['table'];
    }

    public function getCommand(): string
    {
        return 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . pSQL(\ExpertSenderOrder::$definition['table']) . '` (
                `id_order` INT(11) UNSIGNED NOT NULL,
                `synced` TINYINT(1) NOT NULL DEFAULT 0,
                `date_add` DATETIME NOT NULL,
                `date_sync` DATETIME DEFAULT NULL,
            PRIMARY KEY (`id_order`),
            UNIQUE KEY (`id_order`),
            INDEX `idx_id_order` (`id_order`),
            INDEX `idx_synced` (`synced`),
            FOREIGN KEY (`id_order`) REFERENCES ' . _DB_PREFIX_ . 'orders (`id_order`) ON DELETE CASCADE
        ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';
    }
}
