<?php
/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */

declare(strict_types=1);

namespace JustIdea\ExpertSender\Infrastructure\Enum;

if (!defined('_PS_VERSION_')) {
    exit;
}

class ExceptionCode
{
    // API related codes start with 1***
    public const API_FAILED_TO_AUTHORIZE = 1001;
    public const API_FAILED_TO_GET_SUCCESSFUL_RESPONSE = 1002;
    public const API_FAILED_TO_PROCESS_REQUEST = 1003;
    public const API_FAILED_TO_PERFORM_ACTION = 1004;
    public const API_FAILED_DUE_TO_TIMEOUT = 1005;

    public const MISSING_API_KEY = 1006;
    public const MISSING_API_TOKEN = 1007;
    public const MISSING_API_TYPE = 1008;

    // General related codes start from 2***
    public const MAPPING_NOT_FOUND = 2001;
    public const FAILED_TO_REMOVE_FILE = 2002;
    public const MISSING_WEBSITE_ID = 2003;

    // Infrastructure related codes start from 6***
    public const INFRASTRUCTURE_FAILED_TO_INSTALL_DATABASE_TABLE = 6001;
    public const INFRASTRUCTURE_FAILED_TO_UNINSTALL_DATABASE_TABLE = 6002;
    public const INFRASTRUCTURE_FAILED_TO_INSTALL_MODULE_TAB = 6003;
    public const INFRASTRUCTURE_FAILED_TO_UNINSTALL_MODULE_TAB = 6004;
    public const INFRASTRUCTURE_FAILED_TO_INSTALL_CONFIGURATION = 6005;
    public const INFRASTRUCTURE_FAILED_TO_UNINSTALL_CONFIGURATION = 6006;
    public const INFRASTRUCTURE_FAILED_TO_INSTALL_HOOK = 6007;
    public const INFRASTRUCTURE_FAILED_TO_UNINSTALL_HOOK = 6008;
    public const INFRASTRUCTURE_FAILED_DUE_TO_INVALID_ARGUMENT = 6009;

    // Order related codes start from 7***
    public const ORDER_VERIFICATION_FAILED = 7001;

    // Order related codes start from 8***
    public const CUSTOMER_VERIFICATION_FAILED = 8001;

    // Unhandled codes start from 9***
    public const NOT_IMPLEMENTED = 9001;
    public const UNKNOWN_ERROR = 9002;
}
