/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */
$(document).ready(function () {
  $('.modal-backdrop').on('click', function (event) {
    $('.modal.fade.in').removeClass('fade in').hide();
    event.preventDefault();
  });

  $('.js-log-button').on('click', function (event) {
    if (!expertsenderlogger.logsUrl) {
      console.error('Admin Ajax url not found!');
      return;
    }

    var logId = $(this).data('log-id');
    var informationType = $(this).data('information-type');

    // $('#' + $(this).data('target')).addClass('fade in').show();
    
    $('#' + $(this).data('target')).modal('show').on('hidden.bs.modal', function () {
      $(this).hide();
    });

    if (!$('#log-modal-' + logId + '-' + informationType + ' .log-modal-content-data').hasClass('hidden')) {
      return;
    }

    $('.log-modal-content-spinner').removeClass('hidden');

    var $payload = {
      ajax: true,
      action: 'getLogDetails',
      id_log: logId
    };

    $.ajax({
        type: 'POST',
        url: expertsenderlogger.logsUrl,
        data: $payload,
        error: function () {
          alert('Error fetching log details.');
        }
      })
      .then(response => jQuery.parseJSON(response))
      .then(data => {
        $('.log-modal-content-spinner').addClass('hidden')

        $('#log-modal-' + logId + '-request .log-modal-content-data').removeClass('hidden').html(prettyJson(data.log.request));
        $('#log-modal-' + logId + '-response .log-modal-content-data').removeClass('hidden').html(prettyJson(data.log.response));
        $('#log-modal-' + logId + '-context .log-modal-content-data').removeClass('hidden').html(prettyJson(data.log.context));
      })
  });
});

function prettyJson(json) {
  return JSON.stringify(jQuery.parseJSON(json), null, 2)
}