/**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 */
$(document).ready(() => {
    handleTheCronUrlCopyToClipboard();
});

function handleTheCronUrlCopyToClipboard() {
    if (typeof expertsendersyncontroller === 'undefined') {
        console.error('Admin JS object not found!');
        return;
    }

    $('.copyable[data-toggle="tooltip"]').tooltip({
        delay: { "show": 0, "hide": 50 }
    });

    $('span.copyable').on('click', function () {
        const elementId = $(this).attr('id');
        const textToCopy = $('#' + elementId).text();
        const titleCopied = $(this).data('title-copied');
        const titleCopy = $(this).data('title-copy');

        navigator.clipboard.writeText(textToCopy).then(() => {
            $(this).attr('data-original-title', titleCopied).tooltip('show');

            setTimeout(() => {
                $(this).attr('data-original-title', titleCopy);
            }, 2000);
        }).catch((err) => {
            console.error('Failed to copy text: ', err);
        });
        
        $(this).addClass('copied');
        setTimeout(() => {
            $(this).removeClass('copied');
        }, 2000);
    });
}