{**
 * Copyright since 2016 JustIdea Agency.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.md.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please contact us for extra customization service at an affordable price
 *
 * @author    JustIdea Agency <contact@justidea.agency>
 * @copyright 2016-2024 JustIdea Agency
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 *}

{extends file="helpers/form/form.tpl"}

{block name="script"}{/block}

{block name="field"}
	{if $input.type == 'desc_full_width'}
		<div class="col-xs-12 {if isset($input.class)}{$input.class|escape:'htmlall':'UTF-8'}{/if}">
			{if $input.template == ExpertSenderConfig::API_TOKEN|cat:"_description"}
				{include file="../../../alerts/alert-info-field-token-desc.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::WEBSITE_ID|cat:"_description"}
				{include file="../../../alerts/alert-info-field-website-id-desc.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_DATE_FROM|cat:"_description" || $input.template == ExpertSenderConfig::IMPORT_ORDER_DATE_FROM|cat:"_description"}
				{include file="../../../alerts/alert-info-field-import-general-info.tpl"}
			{/if}
			{* {if $input.template == ExpertSenderConfig::IMPORT_ORDER_DATE_TO|cat:"_description"}
				{include file="../../../alerts/alert-info-field-import-orders.tpl"}
			{/if} *}
			{if $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_NEWSLETTER_CONSENT|cat:"_description" || $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_OPTIN_CONSENT|cat:"_description"}
				{include file="../../../alerts/alert-info-field-import-customers-consent.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::SYNC_ORDERS|cat:"_description"}
				{include file="../../../alerts/alert-info-sync.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::SYNC_INCLUDE_PHONE|cat:"_description"}
				{include file="../../../alerts/alert-info-include-phone.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::OPTIONS_SYNC_SUBMIT|cat:"_description"}
				{include file="../../../alerts/alert-info-sync.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::OPTIONS_SYNC_SUBMIT|cat:"_cron_description"}
				{include file="../../../alerts/alert-info-sync-cron.tpl"}
			{/if}
			{if $input.template == ExpertSenderConfig::OPTIONS_SYNC_SUBMIT|cat:"_details_description"}
				{include file="../../../alerts/alert-info-sync-details.tpl"}
			{/if}
		</div>
	{else}
		{$smarty.block.parent}
	{/if}
{/block}

{block name="input"}
	{if $input.type == 'link_choice'}
		<div class="row">
			<div class="col-sm-2">
				<h4 style="margin-top:5px;">{l s='Change position' mod='expertsenderofficial'}</h4>
				<a href="#" id="menuOrderUp" class="btn btn-default" style="font-size:20px;display:block;"><i
						class="icon-chevron-up"></i></a><br />
				<a href="#" id="menuOrderDown" class="btn btn-default" style="font-size:20px;display:block;"><i
						class="icon-chevron-down"></i></a><br />
			</div>
			<div class="col-sm-5">
				<h4 style="margin-top:5px;">{l s='Selected items' mod='expertsenderofficial'}</h4>
				{$selected_links}
			</div>
			<div class="col-sm-5">
				<h4 style="margin-top:5px;">{l s='Available items' mod='expertsenderofficial'}</h4>
				{$choices}
			</div>

		</div>
		<br />
		<div class="row">
			<div class="col-sm-2"></div>
			<div class="col-sm-5"><a href="#" id="removeItem" class="btn btn-default"><i class="icon-arrow-right"></i>
					{l s='Remove' mod='expertsenderofficial'}</a></div>
			<div class="col-sm-5"><a href="#" id="addItem" class="btn btn-default"><i class="icon-arrow-left"></i>
					{l s='Add' d='Admin.Actions'}</a></div>
		</div>
	{elseif $input.type == 'logs_textarea'}
		<pre class="col-xs-12 logs_textarea{if isset($input.class)} {$input.class|escape:'htmlall':'UTF-8'}{/if}"
			name="{$input.name}" id="{if isset($input.id)}{$input.id}{else}{$input.name}{/if}">
									{if isset($input.value)}{$input.value}{/if}
								</pre>


	{elseif $input.type == 'progress_bar'}
		<div id="{if isset($input.id)}{$input.id}{else}{$input.name}{/if}" class="progress active progress-striped {if isset($input.class)} {$input.class|escape:'htmlall':'UTF-8'}{/if}" style="display: block; width: 100%">
			<div class="progress-bar{if isset($input.bar_type)} {$input.bar_type|escape:'htmlall':'UTF-8'}{/if}" role="progressbar" style="width: {if isset($input.bar_value)}{$input.bar_value}{else}0{/if}%" id="validate_progressbar_done">
				<span>{if isset($input.bar_msg)}{$input.bar_msg|escape:'htmlall':'UTF-8'}{else}{l s='Synchronization in progress...' mod='expertsenderofficial'}{/if}
				</span>
			</div>
		</div>
	{elseif $input.type == 'select'}
		{if isset($input.options.query) && !$input.options.query && isset($input.empty_message)}
			{$input.empty_message}
			{$input.required = false}
			{$input.desc = null}
		{else}
			<select name="{$input.name|escape:'html':'UTF-8'}"
					class="{if isset($input.class)}{$input.class|escape:'html':'UTF-8'}{/if} fixed-width-xl"
					id="{if isset($input.id)}{$input.id|escape:'html':'UTF-8'}{else}{$input.name|escape:'html':'UTF-8'}{/if}"
					{if isset($input.multiple) && $input.multiple} multiple="multiple"{/if}
					{if isset($input.size)} size="{$input.size|escape:'html':'UTF-8'}"{/if}
					{if isset($input.onchange)} onchange="{$input.onchange|escape:'html':'UTF-8'}"{/if}
					{if isset($input.placeholder)} data-placeholder="{$input.placeholder|escape:'html':'UTF-8'}"{/if}
					{if isset($input.disabled) && $input.disabled} disabled="disabled"{/if}>
				{if isset($input.options.default)}
					<option value="{$input.options.default.value|escape:'html':'UTF-8'}">{$input.options.default.label|escape:'html':'UTF-8'}</option>
				{/if}
				{if isset($input.options.optiongroup)}
					{foreach $input.options.optiongroup.query AS $optiongroup}
						<optgroup label="{$optiongroup[$input.options.optiongroup.label]}">
							{foreach $optiongroup[$input.options.options.query] as $option}
								<option value="{$option[$input.options.options.id]}"
									{if isset($input.multiple)}
										{foreach $fields_value[$input.name] as $field_value}
											{if $field_value == $option[$input.options.options.id]}selected="selected"{/if}
										{/foreach}
									{else}
										{if $fields_value[$input.name] == $option[$input.options.options.id]}selected="selected"{/if}
									{/if}
									{if isset($option[$input.options.options.disabled]) && $option[$input.options.options.disabled]} disabled="disabled"{/if}
								>{$option[$input.options.options.name]}</option>
							{/foreach}
						</optgroup>
					{/foreach}
				{else}
					{foreach $input.options.query AS $option}
						{if is_object($option)}
							<option value="{$option->$input.options.id}"
								{if isset($input.multiple)}
									{foreach $fields_value[$input.name] as $field_value}
										{if $field_value == $option->$input.options.id}
											selected="selected"
										{/if}
									{/foreach}
								{else}
									{if $fields_value[$input.name] == $option->$input.options.id}
										selected="selected"
									{/if}
								{/if}
								{if isset($option->$input.options.disabled) && $option->$input.options.disabled} disabled="disabled"{/if}
							>{$option->$input.options.name}</option>
						{elseif $option == "-"}
							<option value="">-</option>
						{else}
							<option value="{$option[$input.options.id]}"
								{if isset($input.multiple)}
									{foreach $fields_value[$input.name] as $field_value}
										{if $field_value == $option[$input.options.id]}
											selected="selected"
										{/if}
									{/foreach}
								{else}
									{if $fields_value[$input.name] == $option[$input.options.id]}
										selected="selected"
									{/if}
								{/if}
								{if isset($option['disabled']) && $option['disabled']} disabled="disabled"{/if}
							>{$option[$input.options.name]}</option>

						{/if}
					{/foreach}
				{/if}
			</select>
		{/if}
		
	{elseif $input.type == 'textarea'}
		{assign var=use_textarea_autosize value=true}
		{if isset($input.lang) AND $input.lang}
			{foreach $languages as $language}
				{if $languages|count > 1}
					<div class="form-group translatable-field lang-{$language.id_lang}" {if $language.id_lang != $defaultFormLanguage}
						style="display:none;" {/if}>
						<div class="col-lg-9">
						{/if}
						{if isset($input.maxchar) && $input.maxchar}
							<div class="input-group">
								<span
									id="{if isset($input.id)}{$input.id}_{$language.id_lang}{else}{$input.name}_{$language.id_lang}{/if}_counter"
									class="input-group-addon">
									<span class="text-count-down">{$input.maxchar|intval}</span>
								</span>
							{/if}
							<textarea{if isset($input.readonly) && $input.readonly} readonly="readonly" {/if}
								name="{$input.name}_{$language.id_lang}"
								id="{if isset($input.id)}{$input.id}{else}{$input.name}{/if}_{$language.id_lang}"
								class="{if isset($input.autoload_rte) && $input.autoload_rte}rte autoload_rte{/if}{if isset($input.class)} {$input.class}{/if}"
								{if isset($input.maxlength) && $input.maxlength} maxlength="{$input.maxlength|intval}"
									{/if}{if isset($input.maxchar) && $input.maxchar} data-maxchar="{$input.maxchar|intval}" {/if}>
									{$fields_value[$input.name][$language.id_lang]|escape:'html':'UTF-8'}</textarea>
									{if isset($input.maxchar) && $input.maxchar}
								</div>
							{/if}
							{if $languages|count > 1}
							</div>
							<div class="col-lg-2">
								<button type="button" class="btn btn-default dropdown-toggle" tabindex="-1" data-toggle="dropdown">
									{$language.iso_code}
									<span class="caret"></span>
								</button>
								<ul class="dropdown-menu">
									{foreach from=$languages item=language}
										<li>
											<a href="javascript:hideOtherLanguage({$language.id_lang});" tabindex="-1">{$language.name}</a>
										</li>
									{/foreach}
								</ul>
							</div>
						</div>
					{/if}
				{/foreach}
				{if isset($input.maxchar) && $input.maxchar}
					<script type="text/javascript">
						$(document).ready(function() {
							{foreach from=$languages item=language}
								countDown($("#{if isset($input.id)}{$input.id}_{$language.id_lang}{else}{$input.name}_{$language.id_lang}{/if}"), $("#{if isset($input.id)}{$input.id}_{$language.id_lang}{else}{$input.name}_{$language.id_lang}{/if}_counter"));
							{/foreach}
						});
					</script>
				{/if}
			{else}
				{if isset($input.maxchar) && $input.maxchar}
					<span id="{if isset($input.id)}{$input.id}_{$language.id_lang}{else}{$input.name}_{$language.id_lang}{/if}_counter"
						class="input-group-addon">
						<span class="text-count-down">{$input.maxchar|intval}</span>
					</span>
				{/if}
				<textarea{if isset($input.readonly) && $input.readonly} readonly="readonly" {/if} name="{$input.name}"
					id="{if isset($input.id)}{$input.id}{else}{$input.name}{/if}" {if isset($input.cols)}cols="{$input.cols}" {/if}
					{if isset($input.rows)}rows="{$input.rows}" {/if}
					class="{if isset($input.autoload_rte) && $input.autoload_rte}rte autoload_rte{/if}{if isset($input.class)} {$input.class}{/if}"
					{if isset($input.maxlength) && $input.maxlength} maxlength="{$input.maxlength|intval}"
						{/if}{if isset($input.maxchar) && $input.maxchar} data-maxchar="{$input.maxchar|intval}" {/if}>
						{$fields_value[$input.name]|escape:'html':'UTF-8'}</textarea>
						{if isset($input.maxchar) && $input.maxchar}
							<script type="text/javascript">
								$(document).ready(function() {
									countDown($("#{if isset($input.id)}{$input.id}{else}{$input.name}{/if}"), $("#{if isset($input.id)}{$input.id}{else}{$input.name}{/if}_counter"));
								});
							</script>
						{/if}
					{/if}
				{elseif $input.type == 'switch'}
					<span class="switch prestashop-switch fixed-width-lg">
						{foreach $input.values as $value}
							<input type="radio" name="{$input.name}" {if isset($input.class)}class="{$input.class}" {/if} {if $value.value == 1}
							id="{$input.name}_on" {else} id="{$input.name}_off" 
							{/if} value="{$value.value}"
							{if $fields_value[$input.name] == $value.value} checked="checked"
								{/if}{if (isset($input.disabled) && $input.disabled) or (isset($value.disabled) && $value.disabled)}
							disabled="disabled" {/if} />
						{strip}
							<label {if $value.value == 1} for="{$input.name}_on" {else} for="{$input.name}_off" {/if}>
								{if $value.value == 1}
									{l s='Yes' d='Admin.Global'}
								{else}
									{l s='No' d='Admin.Global'}
								{/if}
							</label>
						{/strip}
					{/foreach}
					<a class="slide-button btn"></a>
				</span>
			{elseif $input.type == 'password'}
				{* <div class="col-lg-9">{if isset($field['suffix']) || isset($field['prefix'])}<div
				class="input-group{if isset($field.class)} {$field.class}{/if}">{/if}
				{if isset($field['prefix'])}
					<span class="input-group-addon">
						{$field['prefix']}
					</span>
				{/if}
				<input type="{$field['type']}" {if isset($field['id'])} id="{$field['id']}" {/if}
					size="{if isset($field['size'])}{$field['size']|intval}{else}5{/if}" name="{$key}"
					value="{if isset($field.value)}{$field.value}{/if}" {if isset($field['autocomplete']) && !$field['autocomplete']}
				autocomplete="off" {/if} />
			{if isset($field['suffix'])}
				<span class="input-group-addon">
					{$field['suffix']}
				</span>
			{/if}
			{if isset($field['suffix']) || isset($field['prefix'])}
		</div>{/if}
	</div> *}

				<div class="col-lg-9 input-group">
					<span class="input-group-addon">
						{if isset($input.prefix)}{$input.prefix}{else}<i class="icon-key"></i>{/if}
					</span>
					<input type="password" id="{if isset($input.id)}{$input.id}{else}{$input.name}{/if}" name="{$input.name}"
						class="{if isset($input.class)}{$input.class}{/if}" value="{if isset($input.value)}{$input.value}{/if}"
						{if isset($input.autocomplete) && !$input.autocomplete}autocomplete="off" {/if}
						{if isset($input.required) && $input.required } required="required" {/if} />
				</div>

			{elseif $input.type == 'desc'}
				<div class="col-xs-12 {if isset($input.class)}{$input.class|escape:'htmlall':'UTF-8'}{/if}">
					{if $input.template == ExpertSenderConfig::API_TOKEN|cat:"_description"}
						{include file="../../../alerts/alert-info-field-token-desc.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_DATE_FROM|cat:"_description" || $input.template == ExpertSenderConfig::IMPORT_ORDER_DATE_FROM|cat:"_description"}
						{include file="../../../alerts/alert-info-field-import-general-info.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_NEWSLETTER_CONSENT|cat:"_description" || $input.template == ExpertSenderConfig::IMPORT_CUSTOMER_OPTIN_CONSENT|cat:"_description"}
						{include file="../../../alerts/alert-info-field-import-customers-consent.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::WEBSITE_ID|cat:"_description"}
						{include file="../../../alerts/alert-info-field-website-id-desc.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::SYNC_ORDERS|cat:"_description"}
						{include file="../../../alerts/alert-info-sync.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::SYNC_INCLUDE_PHONE|cat:"_description"}
						{include file="../../../alerts/alert-info-include-phone.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::OPTIONS_SYNC_SUBMIT|cat:"_description"}
						{include file="../../../alerts/alert-info-sync.tpl"}
					{/if}
					{if $input.template == ExpertSenderConfig::OPTIONS_SYNC_SUBMIT|cat:"_cron_description"}
						{include file="../../../alerts/alert-info-sync-cron.tpl"}
					{/if}
				</div>
			{else}
				{$smarty.block.parent}
			{/if}
		{/block}

		{block name="footer"}
			{capture name='form_submit_btn'}{counter name='form_submit_btn'}{/capture}
			{if isset($fieldset['form']['submit']) || isset($fieldset['form']['buttons'])}
				<div class="panel-footer">
					{if isset($fieldset['form']['submit']) && !empty($fieldset['form']['submit'])}
						<button type="submit" value="1"
							id="{if isset($fieldset['form']['submit']['id'])}{$fieldset['form']['submit']['id']}{else}{$table}_form_submit_btn{/if}{if $smarty.capture.form_submit_btn > 1}_{($smarty.capture.form_submit_btn - 1)|intval}{/if}"
							name="{if isset($fieldset['form']['submit']['name'])}{$fieldset['form']['submit']['name']}{else}{$submit_action}{/if}{if isset($fieldset['form']['submit']['stay']) && $fieldset['form']['submit']['stay']}AndStay{/if}"
							class="{if isset($fieldset['form']['submit']['class'])}{$fieldset['form']['submit']['class']}{else}btn btn-default pull-right{/if}">
							<i
								class="{if isset($fieldset['form']['submit']['icon'])}{$fieldset['form']['submit']['icon']}{else}process-icon-save{/if}"></i>
							{$fieldset['form']['submit']['title']}
						</button>
					{/if}
					{if isset($show_cancel_button) && $show_cancel_button}
						<a class="btn btn-default" {if $table}id="{$table}_form_cancel_btn" {/if}
							{if isset($back_url) && $back_url}href="{$back_url}" {else}onclick="javascript:window.history.back();" {/if}>
							<i class="process-icon-cancel"></i> {l s='Cancel' d='Admin.Actions'}
						</a>
					{/if}
					{if isset($fieldset['form']['reset'])}
						<button type="reset"
							id="{if isset($fieldset['form']['reset']['id'])}{$fieldset['form']['reset']['id']}{else}{$table}_form_reset_btn{/if}"
							class="{if isset($fieldset['form']['reset']['class'])}{$fieldset['form']['reset']['class']}{else}btn btn-default{/if}">
							{if isset($fieldset['form']['reset']['icon'])}<i class="{$fieldset['form']['reset']['icon']}"></i> {/if}
							{$fieldset['form']['reset']['title']}
						</button>
					{/if}
					{if isset($fieldset['form']['buttons'])}
						{foreach from=$fieldset['form']['buttons'] item=btn key=k}
							{if isset($btn.href) && trim($btn.href) != ''}
								<a href="{$btn.href}" {if isset($btn['id'])}id="{$btn['id']}" {/if}
									class="btn btn-default{if isset($btn['class'])} {$btn['class']}{/if}" {if isset($btn.js) && $btn.js}
									onclick="{$btn.js}" {/if}>{if isset($btn['icon'])}<i class="{$btn['icon']}"></i> {/if}{$btn.title}</a>
							{else}
								<button type="{if isset($btn['type'])}{$btn['type']}{else}button{/if}" {if isset($btn['id'])}id="{$btn['id']}" {/if}
									class="btn btn-default{if isset($btn['class'])} {$btn['class']}{/if}"
									name="{if isset($btn['name'])}{$btn['name']}{else}submitOptions{$table}{/if}" {if isset($btn.js) && $btn.js}
									onclick="{$btn.js}" {/if}>{if isset($btn['icon'])}<i class="{$btn['icon']}"></i> {/if}{$btn.title}</button>
							{/if}
						{/foreach}
					{/if}
				</div>
			{/if}
		{/block}

		{block name="after"}
			<script>
				$(document).ready(function() {
					$('.es-textarea-bottom').each(function() {
						const scrollHeight = $(this).prop('scrollHeight');
						$(this).scrollTop(scrollHeight);
					})
					$('.logs_textarea').each(function() {
						const scrollHeight = $(this).prop('scrollHeight');
						$(this).scrollTop(scrollHeight);
					})
				});
			</script>
	{/block}